# Fn<> RemovePointer
Converts a (pointer) type into the same type without a pointer.

Defined in | <seqan/basic.h>
Signature | `RemovePointer<T>::Type;`

## Template Parameters

`T` | The input type.

## Return Values

`Type` | A corresponding non-pointer type, e.g. `int` for `T = *int`.

#### Dox Sources

    /*!
     * @mfn RemovePointer
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Converts a (pointer) type into the same type without a pointer.
     *
     * @signature RemovePointer<T>::Type;
     *
     * @tparam T The input type.
     *
     * @return Type A corresponding non-pointer type, e.g. <tt>int</tt> for <tt>T =
     *              *int</tt>.
     */